<!DOCTYPE html>
<html lang="uk">
  <head>
    <meta charset="UTF-8" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <meta http-equiv="X-UA-Compatible" content="ie=edge" />
    <link
      rel="stylesheet"
      href="https://cdnjs.cloudflare.com/ajax/libs/meyer-reset/2.0/reset.min.css"
      integrity="sha512-NmLkDIU1C/C88wi324HBc+S2kLhi08PN5GDeUVVVC/BVt/9Izdsc9SVeVfA1UZbY3sHUlDSyRXhCzHfr6hmPPw=="
      crossorigin="anonymous"
      referrerpolicy="no-referrer"
    />
    <link
      rel="stylesheet"
      href="https://use.fontawesome.com/releases/v5.7.1/css/all.css"
      integrity="sha384-fnmOCqbTlWIlj8LyTjo7mOUStjsKC4pOpQbqyi7RrhN7udi9RwhKkMHpvLbHG9Sr"
      crossorigin="anonymous"
    />
    <link rel="stylesheet" href="./css/style.css" />
    <title>Homework 11: Highlight Letters</title>
  </head>
  <body>
    <div class="btn-wrapper">
      <button class="btn">Enter</button>
      <button class="btn">S</button>
      <button class="btn">E</button>
      <button class="btn">O</button>
      <button class="btn">N</button>
      <button class="btn">L</button>
      <button class="btn">Z</button>
    </div>

    <div class="question_box">
      <h2>
        Чому для роботи з input не рекомендується використовувати події
        клавіатури?
      </h2>
      <p>
        На момент події keydown / keypress клавіша ще не оброблена браузером.
        Тому в оброблювачі значення input.value ще старе, тобто до введення.
        Якщо ми хочемо обробити input.value безпосередньо після введення, то
        треба використовувати подію keyup, або запланувати обробник через
        setTimeout (.., 0).
      </p>
    </div>
    <script type="text/javascript" src="./lib/index.js"></script>
  </body>
</html>
